package cn.com.infosec.crypto.params;

import cn.com.infosec.crypto.CipherParameters;

public class RC5Parameters implements CipherParameters {
   private byte[] key;
   private int rounds;

   public RC5Parameters(byte[] key, int rounds) {
      if (key.length <= 255) {
         byte[] var10000 = key;
         RC5Parameters var10002 = this;
         byte[] var3;
         this.key = var3 = new byte[key.length];
         var10002.rounds = rounds;
         int key1 = key.length;
         System.arraycopy(var10000, 0, var3, 0, key1);
      } else {
         throw new IllegalArgumentException("RC5 key length can be no greater than 255");
      }
   }

   public byte[] getKey() {
      return this.key;
   }

   public int getRounds() {
      return this.rounds;
   }
}
